package conm.zhentao.controller;

import conm.zhentao.dto.OrderCreateDTO;
import conm.zhentao.entity.Order_info;
import conm.zhentao.service.OrderService;
import conm.zhentao.util.JwtUtil;
import conm.zhentao.util.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/orders")
public class OrderController {

    @Autowired
    private OrderService orderService;

    @Autowired
    private JwtUtil jwtUtil;

    @Autowired
    private RedisUtil redisUtil;

    @PostMapping
    public Order_info createOrder(
            @Validated @RequestBody OrderCreateDTO orderCreateDTO,
            @RequestHeader(value = "Authorization", required = true) String token) {
        // 从token中获取用户ID
        Long userId = getUserIdFromToken(token);
        return orderService.createOrder(orderCreateDTO, userId);
    }

    private Long getUserIdFromToken(String token) {
        // 如果使用JWT
        if (token.startsWith("Bearer ")) {
            token = token.substring(7);
            // 解析JWT token获取用户ID
            return jwtUtil.getUserIdFromToken(token);
        } else {
            // 从Redis中获取用户ID
            return redisUtil.getUserIdFromToken(token);
        }
    }
}